
Redmine - Defect #888

Jump to Project reveals names of parent projects to unprivileged logins

2008-03-19 00:30 - Mike Carter

Status: Closed Start date: 2008-03-19

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Permissions and roles Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

The hierarchical menu in the "Jump to Project" dropdown lists the names of parent projects to which the user does not have

permissions.

Users receive a 403 Not Authorized warning, but we'd prefer they not even know the names of the parent projects.

Otherwise, thanks for a great project!

Related issues:

Related to Redmine - Feature #8904: Parent project's name should be visible f... New 2011-07-26

History

#1 - 2008-12-08 14:14 - Mischa The Evil

This seems to have been fixed somewhere on this 0.7-branch. Just tested this with the new 0.8.0-RC1 and only projects of which the user is a

member of (has a role for) are shown in the drop-down menu.

Can you confirm and resolve the issue?

#2 - 2009-04-24 19:38 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

This is fixed in current trunk.

#3 - 2015-04-11 17:00 - Toshi MARUYAMA

- Related to Feature #8904: Parent project's name should be visible for Subprojects added
